autoLISP是AutoCAD自己的程序,是一个对基础动作的补充。有的时候,我们重复 *** 作一个动作的时候,用autoLISP就可以减少工作量。
所以一个autoLISP首先要有需求,然后编程动作达到要求。
比如,你要绘制100个同心圆,每个同心圆按比例放大,直接绘制的话,很慢,也会出现错误,人为 *** 作重复的动作难免会出现错误,但是使用autoLISP就不同了,只要输入一个圆的直径,就可以在一秒钟内绘制完成,还可以设置不同的颜色,不同的图层。
还有这样的情况,不同的人编程,用的变量会不同,所以编程会有不同的风格,同一个程序,在不断优化完善下,会变的不同。
所以你要autoLISP首先要说明你的要求(具体 *** 作过程),达到什么结果,那么有可能会专门为你编写一个程序。
天正系列也是一个autoLISP集合,功能强大,你安装天正的话,也是一个方法。
AutoLISP是由Autodesk公司开发的一种LISP程序语言(LISP是List Processor的缩写)>
看看能不能满足要求,呵。
(defun C:CREW()
(setq l1 (getdist "input the length of the crew:"))
(setq l2 (getdist "input the length spinned:"))
(setq m (getdist "input the size of the crew:"))
(setq a (+ m 6))
(setq P0 (getpoint "input the base point:"))
(setq P1 (polar P0 pi (/ a 2)))
(setq P2 (polar P1 (- (/ pi 2)) m))
(setq p3 (polar P2 00 3))
(setq P4 (polar P3 (- (/ pi 2)) (- l1 1)))
(setq P5 (polar P4 (- (/ pi 4)) 1414))
(setq P7 (polar P4 00 m))
(setq P6 (polar P5 00 (- m 2)))
(setq P8 (polar p3 00 m))
(setq P9 (polar P2 00 a))
(setq P10 (polar P1 00 a))
(setq P11 (polar P5 (/ pi 2) l2))
(setq P12 (polar P6 (/ pi 2) l2))
(setq Q1 (polar P0 (/ pi 2) 6))
(setq Q2 (polar Q1 (- (/ pi 2)) (+ 6 m l1 6)))
(command "line" P1 P2 P3 P4 P5 P6 P7 P8 P9 P10 "c")
(command "line" P3 P8 "")
(command "line" P11 P12 "")
(command "line" P4 P7 "")
(command "color" "red")
(command "line" P5 P11 "")
(command "line" P6 P12 "")
(command "color" "yellow")
(command "linetype" "s" "center" "")
(command "line" Q1 Q2 "")
(command "color" "bylayer")
(command "linetype" "s" "bylayer" "")
)
这个功能是AutoCAD自己就有的命令,不需要开发呀。
输入倒角命令后可以看到
选择第一条直线或 [放弃(N)/多段线(P)/距离(D)/角度(A)/修剪(T)/方式(M)/多个(U)]
选择角度定义一个角度,再输入距离就好了
以上就是关于求autolisp程序全部的内容,包括:求autolisp程序、Autolisp是一个什么程序啊、请教AUTOLISP绘制螺栓的程序。100积分等相关内容解答,如果想了解更多相关内容,可以关注我们,你们的支持是我们更新的动力!
欢迎分享,转载请注明来源:内存溢出
评论列表(0条)